Subject: Re: [PATCH net-next 0/2] pskb_extract() helper function.

From: Sowmini Varadhan <[email-masked]>
Date: Fri, 22 Apr 2016 19:41:49 -0400

On (04/22/16 20:23), [email-masked] wrote:
> My tests results were very similar to what I had without it. Varying to
> better or worse, tending worse.  Thing is, SCTP always works on
> linearized skbs as it can't crawl on fragments, so those clone/trim

sorry to hear that. For RDS-TCP, the rx side does show a noticeable
benefit with rds-stress. To an extent, this is also impacted
by the packet size, and the type of test (for our DB workloads,
we use request-response tests, and the packet size tends to
typically be 8K req, 256 byt responses), so I guess ymmv. 

--Sowmini